# xmlName

Retrieve the name of the elements.

## Calling Sequence

                names = xmlName(obj)

## Arguments

obj

  obj, a XML mlist typed XMLSet or XMLList or XMLElem or XMLAttr

name

  names, a single row of strings

## Description

Retrieve the name(s) of the elements composing the XMLObject.

## Examples

    doc = xmlReadStr("<root><foo a=""123"" b=""456"" c=""789""/></root>")

    // Retrieve the name of a single element
    xmlName(doc.root.children(1))

    // Retrieve the names of an attributes list
    xmlName(doc.root.children(1).attributes)

    // Retrieve the names of the result of a XPath query
    xmlName(xmlXPath(doc,"//foo/@*"))

    xmlDelete(doc);

## See Also

- xmlXPath
- xmlAsText
- xmlAsNumber

## History

5.4.1
xmlName function introduced.